## org.gjt.sp.util
Class StringModel

    java.lang.Object
      org.gjt.sp.util.StringModel

    public class StringModel

extends java.lang.Object

A model for a single String, which supports TextListeners. Simpler to use than Document when all you need is to store a single string.

Constructor Summary
`StringModel()`

Method Summary
`void` `addTextListener(java.awt.event.TextListener tl)`
`void` `setText(java.lang.String newText)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringModel

    public StringModel()

Method Detail

### addTextListener

    public void addTextListener(java.awt.event.TextListener tl)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setText

    public void setText(java.lang.String newText)